Package: org.codehaus.groovy.grails.cli.fork

## [Java] Class ForkedProcessShutdownHooks

- org.codehaus.groovy.grails.cli.fork.ForkedProcessShutdownHooks

- Shared shutdown hook for forked Grails processes. Takes care of terminating forked processes when the parent Grails process is terminated.

  Authors:
    Lari Hotari

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static boolean` | `add(java.lang.Process process)`
    `static boolean` | `remove(java.lang.Process process)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public static boolean add(java.lang.Process process)

    - #### public static boolean remove(java.lang.Process process)